Bug 1270328 - Rare transpoint endpoint not connected error in tier.t tests.
Summary: Rare transpoint endpoint not connected error in tier.t tests.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: tiering
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Lambright
QA Contact: bugs@gluster.org
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-09 16:11 UTC by Dan Lambright
Modified: 2016-06-16 13:39 UTC (History)
1 user (show)

Fixed In Version: glusterfs-3.8rc2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-16 13:39:57 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Dan Lambright 2015-10-09 16:11:33 UTC
Description of problem:

Spurious transport endpoint is not connected on tier regression tests

Version-Release number of selected component (if applicable):


How reproducible:

spurious

Steps to Reproduce:
1. run tier.t in loop

Actual results:

Eventually observe transport endpoint not connected
In rare cases results in failed tests.

Expected results:

No such errors.

Additional info:

Problem due to unmounting gluster without exiting directory.

Comment 1 Vijay Bellur 2015-10-10 00:44:32 UTC
COMMIT: http://review.gluster.org/12327 committed in master by Dan Lambright (dlambrig@redhat.com) 
------
commit bad9539437ca1d69e470159277bbb6b5675cbae3
Author: Dan Lambright <dlambrig@redhat.com>
Date:   Fri Oct 9 12:18:03 2015 -0400

    cluster/tier: fix transpoint endpoint not connected in tier.t (rare)
    
    The script did not cleanly unmount/mount gluster and change the current
    working directory when stopping and starting the volume. Most of the
    time this problem would self-resolve before subsequent tests, but
    very occasionally races would lead to the errors/failures.
    
    Change-Id: I128b913a71e2745512ee81c3d71852311e3b4a1b
    BUG: 1270328
    Signed-off-by: Dan Lambright <dlambrig@redhat.com>
    Reviewed-on: http://review.gluster.org/12327
    Reviewed-by: Joseph Fernandes
    Tested-by: Gluster Build System <jenkins@build.gluster.com>

Comment 2 Niels de Vos 2016-06-16 13:39:57 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.8.0, please open a new bug report.

glusterfs-3.8.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://blog.gluster.org/2016/06/glusterfs-3-8-released/
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user


Note You need to log in before you can comment on or make changes to this bug.